GrailsRepoResolver (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.resolve
[Java] Class GrailsRepoResolver

    java.lang.Object
      org.apache.ivy.plugins.resolver.AbstractResolver
          org.apache.ivy.plugins.resolver.BasicResolver
              org.apache.ivy.plugins.resolver.AbstractPatternsBasedResolver
                  org.apache.ivy.plugins.resolver.RepositoryResolver
                      org.apache.ivy.plugins.resolver.URLResolver
                          org.codehaus.groovy.grails.resolve.GrailsRepoResolver

    public class GrailsRepoResolver
    extends org.apache.ivy.plugins.resolver.URLResolver

Overrides the default Ivy resolver to substitute the release tag in Grails' repository format prior to a resolve.

Authors:
  Graeme Rocher

Since:
  1.3

Field Summary
`protected java.net.URL` | `repositoryRoot`

Fields inherited from class org.apache.ivy.plugins.resolver.URLResolver
DESCRIPTOR_OPTIONAL, DESCRIPTOR_REQUIRED, DATE_FORMAT

Fields inherited from class org.apache.ivy.plugins.resolver.RepositoryResolver
DESCRIPTOR_OPTIONAL, DESCRIPTOR_REQUIRED, DATE_FORMAT

Constructor Summary
`GrailsRepoResolver(java.lang.String name, java.net.URL repositoryRoot)`

Method Summary
`protected org.apache.ivy.plugins.resolver.util.ResolvedResource` | `findResourceUsingPattern(org.apache.ivy.core.module.id.ModuleRevisionId mrid, java.lang.String pattern, org.apache.ivy.core.module.descriptor.Artifact artifact, org.apache.ivy.plugins.resolver.util.ResourceMDParser rmdparser, java.util.Date date)`
`groovy.util.slurpersupport.GPathResult` | `getPluginList(java.io.File localFile)` Obtains the XML representation of the plugin-list.xml held in a Grails compatible repository
`java.net.URL` | `getRepositoryRoot()`
`java.lang.String` | `transformGrailsRepositoryPattern(org.apache.ivy.core.module.id.ModuleRevisionId mrid, java.lang.String pattern)`

Methods inherited from class org.apache.ivy.plugins.resolver.URLResolver
org.apache.ivy.plugins.resolver.URLResolver#getTypeName(), org.apache.ivy.plugins.resolver.URLResolver#download([Lorg.apache.ivy.core.module.descriptor.Artifact;, org.apache.ivy.core.resolve.DownloadOptions), org.apache.ivy.plugins.resolver.URLResolver#setSettings(org.apache.ivy.plugins.resolver.ResolverSettings), org.apache.ivy.plugins.resolver.URLResolver#setName(java.lang.String), org.apache.ivy.plugins.resolver.URLResolver#getRepository(), org.apache.ivy.plugins.resolver.URLResolver#publish(org.apache.ivy.core.module.descriptor.Artifact, java.io.File, boolean), org.apache.ivy.plugins.resolver.URLResolver#dumpSettings(), org.apache.ivy.plugins.resolver.URLResolver#setRepository(org.apache.ivy.plugins.repository.Repository), org.apache.ivy.plugins.resolver.URLResolver#isAlwaysCheckExactRevision(), org.apache.ivy.plugins.resolver.URLResolver#setAlwaysCheckExactRevision(boolean), org.apache.ivy.plugins.resolver.URLResolver#setSigner(java.lang.String), org.apache.ivy.plugins.resolver.URLResolver#setM2compatible(boolean), org.apache.ivy.plugins.resolver.URLResolver#getArtifactPatterns(), org.apache.ivy.plugins.resolver.URLResolver#getIvyPatterns(), org.apache.ivy.plugins.resolver.URLResolver#addIvyPattern(java.lang.String), org.apache.ivy.plugins.resolver.URLResolver#addArtifactPattern(java.lang.String), org.apache.ivy.plugins.resolver.URLResolver#isM2compatible(), org.apache.ivy.plugins.resolver.URLResolver#addConfiguredIvy(org.apache.ivy.core.settings.IvyPattern), org.apache.ivy.plugins.resolver.URLResolver#addConfiguredArtifact(org.apache.ivy.core.settings.IvyPattern), org.apache.ivy.plugins.resolver.URLResolver#findResource([Lorg.apache.ivy.plugins.resolver.util.ResolvedResource;, org.apache.ivy.plugins.resolver.util.ResourceMDParser, org.apache.ivy.core.module.id.ModuleRevisionId, java.util.Date), org.apache.ivy.plugins.resolver.URLResolver#listTokenValues([Ljava.lang.String;, java.util.Map), org.apache.ivy.plugins.resolver.URLResolver#findIvyFileRef(org.apache.ivy.core.module.descriptor.DependencyDescriptor, org.apache.ivy.core.resolve.ResolveData), org.apache.ivy.plugins.resolver.URLResolver#findArtifactRef(org.apache.ivy.core.module.descriptor.Artifact, java.util.Date), org.apache.ivy.plugins.resolver.URLResolver#parse(org.apache.ivy.plugins.resolver.util.ResolvedResource, org.apache.ivy.core.module.descriptor.DependencyDescriptor, org.apache.ivy.core.resolve.ResolveData), org.apache.ivy.plugins.resolver.URLResolver#download(org.apache.ivy.core.cache.ArtifactOrigin, org.apache.ivy.core.resolve.DownloadOptions), org.apache.ivy.plugins.resolver.URLResolver#locate(org.apache.ivy.core.module.descriptor.Artifact), org.apache.ivy.plugins.resolver.URLResolver#isForce(), org.apache.ivy.plugins.resolver.URLResolver#toString(), org.apache.ivy.plugins.resolver.URLResolver#exists(org.apache.ivy.core.module.descriptor.Artifact), org.apache.ivy.plugins.resolver.URLResolver#isCheckconsistency(), org.apache.ivy.plugins.resolver.URLResolver#setCheckconsistency(boolean), org.apache.ivy.plugins.resolver.URLResolver#isAllownomd(), org.apache.ivy.plugins.resolver.URLResolver#setAllownomd(boolean), org.apache.ivy.plugins.resolver.URLResolver#getChecksumAlgorithms(), org.apache.ivy.plugins.resolver.URLResolver#setChecksums(java.lang.String), org.apache.ivy.plugins.resolver.URLResolver#setWorkspaceName(java.lang.String), org.apache.ivy.plugins.resolver.URLResolver#isEnvDependent(), org.apache.ivy.plugins.resolver.URLResolver#setEnvDependent(boolean), org.apache.ivy.plugins.resolver.URLResolver#setDescriptor(java.lang.String), org.apache.ivy.plugins.resolver.URLResolver#getWorkspaceName(), org.apache.ivy.plugins.resolver.URLResolver#setForce(boolean), org.apache.ivy.plugins.resolver.URLResolver#listTokenValues(java.lang.String, java.util.Map), org.apache.ivy.plugins.resolver.URLResolver#listOrganisations(), org.apache.ivy.plugins.resolver.URLResolver#reportFailure(org.apache.ivy.core.module.descriptor.Artifact), org.apache.ivy.plugins.resolver.URLResolver#reportFailure(), org.apache.ivy.plugins.resolver.URLResolver#listModules(org.apache.ivy.core.search.OrganisationEntry), org.apache.ivy.plugins.resolver.URLResolver#listRevisions(org.apache.ivy.core.search.ModuleEntry), org.apache.ivy.plugins.resolver.URLResolver#getDependency(org.apache.ivy.core.module.descriptor.DependencyDescriptor, org.apache.ivy.core.resolve.ResolveData), org.apache.ivy.plugins.resolver.URLResolver#doFindArtifactRef(org.apache.ivy.core.module.descriptor.Artifact, java.util.Date), org.apache.ivy.plugins.resolver.URLResolver#validate(), org.apache.ivy.plugins.resolver.URLResolver#setCache(java.lang.String), org.apache.ivy.plugins.resolver.URLResolver#setValidate(boolean), org.apache.ivy.plugins.resolver.URLResolver#getSettings(), org.apache.ivy.plugins.resolver.URLResolver#getName(), org.apache.ivy.plugins.resolver.URLResolver#getEventManager(), org.apache.ivy.plugins.resolver.URLResolver#getLatestStrategy(), org.apache.ivy.plugins.resolver.URLResolver#setChangingMatcher(java.lang.String), org.apache.ivy.plugins.resolver.URLResolver#setChangingPattern(java.lang.String), org.apache.ivy.plugins.resolver.URLResolver#setRepositoryCacheManager(org.apache.ivy.core.cache.RepositoryCacheManager), org.apache.ivy.plugins.resolver.URLResolver#setLatest(java.lang.String), org.apache.ivy.plugins.resolver.URLResolver#setLatestStrategy(org.apache.ivy.plugins.latest.LatestStrategy), org.apache.ivy.plugins.resolver.URLResolver#getLatest(), org.apache.ivy.plugins.resolver.URLResolver#setNamespace(java.lang.String), org.apache.ivy.plugins.resolver.URLResolver#setCheckmodified(boolean), org.apache.ivy.plugins.resolver.URLResolver#getNamespace(), org.apache.ivy.plugins.resolver.URLResolver#isValidate(), org.apache.ivy.plugins.resolver.URLResolver#getRepositoryCacheManager(), org.apache.ivy.plugins.resolver.URLResolver#beginPublishTransaction(org.apache.ivy.core.module.id.ModuleRevisionId, boolean), org.apache.ivy.plugins.resolver.URLResolver#abortPublishTransaction(), org.apache.ivy.plugins.resolver.URLResolver#commitPublishTransaction(), org.apache.ivy.plugins.resolver.URLResolver#setEventManager(org.apache.ivy.core.event.EventManager), org.apache.ivy.plugins.resolver.URLResolver#getParserSettings(), org.apache.ivy.plugins.resolver.URLResolver#hidePassword(java.lang.String), org.apache.ivy.plugins.resolver.URLResolver#wait(long, int), org.apache.ivy.plugins.resolver.URLResolver#wait(long), org.apache.ivy.plugins.resolver.URLResolver#wait(), org.apache.ivy.plugins.resolver.URLResolver#equals(java.lang.Object), org.apache.ivy.plugins.resolver.URLResolver#hashCode(), org.apache.ivy.plugins.resolver.URLResolver#getClass(), org.apache.ivy.plugins.resolver.URLResolver#notify(), org.apache.ivy.plugins.resolver.URLResolver#notifyAll()

Methods inherited from class org.apache.ivy.plugins.resolver.RepositoryResolver
org.apache.ivy.plugins.resolver.RepositoryResolver#download([Lorg.apache.ivy.core.module.descriptor.Artifact;, org.apache.ivy.core.resolve.DownloadOptions), org.apache.ivy.plugins.resolver.RepositoryResolver#setSettings(org.apache.ivy.plugins.resolver.ResolverSettings), org.apache.ivy.plugins.resolver.RepositoryResolver#setName(java.lang.String), org.apache.ivy.plugins.resolver.RepositoryResolver#getTypeName(), org.apache.ivy.plugins.resolver.RepositoryResolver#getRepository(), org.apache.ivy.plugins.resolver.RepositoryResolver#publish(org.apache.ivy.core.module.descriptor.Artifact, java.io.File, boolean), org.apache.ivy.plugins.resolver.RepositoryResolver#dumpSettings(), org.apache.ivy.plugins.resolver.RepositoryResolver#setRepository(org.apache.ivy.plugins.repository.Repository), org.apache.ivy.plugins.resolver.RepositoryResolver#isAlwaysCheckExactRevision(), org.apache.ivy.plugins.resolver.RepositoryResolver#setAlwaysCheckExactRevision(boolean), org.apache.ivy.plugins.resolver.RepositoryResolver#setSigner(java.lang.String), org.apache.ivy.plugins.resolver.RepositoryResolver#setM2compatible(boolean), org.apache.ivy.plugins.resolver.RepositoryResolver#getArtifactPatterns(), org.apache.ivy.plugins.resolver.RepositoryResolver#getIvyPatterns(), org.apache.ivy.plugins.resolver.RepositoryResolver#addIvyPattern(java.lang.String), org.apache.ivy.plugins.resolver.RepositoryResolver#addArtifactPattern(java.lang.String), org.apache.ivy.plugins.resolver.RepositoryResolver#isM2compatible(), org.apache.ivy.plugins.resolver.RepositoryResolver#addConfiguredIvy(org.apache.ivy.core.settings.IvyPattern), org.apache.ivy.plugins.resolver.RepositoryResolver#addConfiguredArtifact(org.apache.ivy.core.settings.IvyPattern), org.apache.ivy.plugins.resolver.RepositoryResolver#findResource([Lorg.apache.ivy.plugins.resolver.util.ResolvedResource;, org.apache.ivy.plugins.resolver.util.ResourceMDParser, org.apache.ivy.core.module.id.ModuleRevisionId, java.util.Date), org.apache.ivy.plugins.resolver.RepositoryResolver#listTokenValues([Ljava.lang.String;, java.util.Map), org.apache.ivy.plugins.resolver.RepositoryResolver#findIvyFileRef(org.apache.ivy.core.module.descriptor.DependencyDescriptor, org.apache.ivy.core.resolve.ResolveData), org.apache.ivy.plugins.resolver.RepositoryResolver#findArtifactRef(org.apache.ivy.core.module.descriptor.Artifact, java.util.Date), org.apache.ivy.plugins.resolver.RepositoryResolver#parse(org.apache.ivy.plugins.resolver.util.ResolvedResource, org.apache.ivy.core.module.descriptor.DependencyDescriptor, org.apache.ivy.core.resolve.ResolveData), org.apache.ivy.plugins.resolver.RepositoryResolver#download(org.apache.ivy.core.cache.ArtifactOrigin, org.apache.ivy.core.resolve.DownloadOptions), org.apache.ivy.plugins.resolver.RepositoryResolver#locate(org.apache.ivy.core.module.descriptor.Artifact), org.apache.ivy.plugins.resolver.RepositoryResolver#isForce(), org.apache.ivy.plugins.resolver.RepositoryResolver#toString(), org.apache.ivy.plugins.resolver.RepositoryResolver#exists(org.apache.ivy.core.module.descriptor.Artifact), org.apache.ivy.plugins.resolver.RepositoryResolver#isCheckconsistency(), org.apache.ivy.plugins.resolver.RepositoryResolver#setCheckconsistency(boolean), org.apache.ivy.plugins.resolver.RepositoryResolver#isAllownomd(), org.apache.ivy.plugins.resolver.RepositoryResolver#setAllownomd(boolean), org.apache.ivy.plugins.resolver.RepositoryResolver#getChecksumAlgorithms(), org.apache.ivy.plugins.resolver.RepositoryResolver#setChecksums(java.lang.String), org.apache.ivy.plugins.resolver.RepositoryResolver#setWorkspaceName(java.lang.String), org.apache.ivy.plugins.resolver.RepositoryResolver#isEnvDependent(), org.apache.ivy.plugins.resolver.RepositoryResolver#setEnvDependent(boolean), org.apache.ivy.plugins.resolver.RepositoryResolver#setDescriptor(java.lang.String), org.apache.ivy.plugins.resolver.RepositoryResolver#getWorkspaceName(), org.apache.ivy.plugins.resolver.RepositoryResolver#setForce(boolean), org.apache.ivy.plugins.resolver.RepositoryResolver#listTokenValues(java.lang.String, java.util.Map), org.apache.ivy.plugins.resolver.RepositoryResolver#listOrganisations(), org.apache.ivy.plugins.resolver.RepositoryResolver#reportFailure(org.apache.ivy.core.module.descriptor.Artifact), org.apache.ivy.plugins.resolver.RepositoryResolver#reportFailure(), org.apache.ivy.plugins.resolver.RepositoryResolver#listModules(org.apache.ivy.core.search.OrganisationEntry), org.apache.ivy.plugins.resolver.RepositoryResolver#listRevisions(org.apache.ivy.core.search.ModuleEntry), org.apache.ivy.plugins.resolver.RepositoryResolver#getDependency(org.apache.ivy.core.module.descriptor.DependencyDescriptor, org.apache.ivy.core.resolve.ResolveData), org.apache.ivy.plugins.resolver.RepositoryResolver#doFindArtifactRef(org.apache.ivy.core.module.descriptor.Artifact, java.util.Date), org.apache.ivy.plugins.resolver.RepositoryResolver#validate(), org.apache.ivy.plugins.resolver.RepositoryResolver#setCache(java.lang.String), org.apache.ivy.plugins.resolver.RepositoryResolver#setValidate(boolean), org.apache.ivy.plugins.resolver.RepositoryResolver#getSettings(), org.apache.ivy.plugins.resolver.RepositoryResolver#getName(), org.apache.ivy.plugins.resolver.RepositoryResolver#getEventManager(), org.apache.ivy.plugins.resolver.RepositoryResolver#getLatestStrategy(), org.apache.ivy.plugins.resolver.RepositoryResolver#setChangingMatcher(java.lang.String), org.apache.ivy.plugins.resolver.RepositoryResolver#setChangingPattern(java.lang.String), org.apache.ivy.plugins.resolver.RepositoryResolver#setRepositoryCacheManager(org.apache.ivy.core.cache.RepositoryCacheManager), org.apache.ivy.plugins.resolver.RepositoryResolver#setLatest(java.lang.String), org.apache.ivy.plugins.resolver.RepositoryResolver#setLatestStrategy(org.apache.ivy.plugins.latest.LatestStrategy), org.apache.ivy.plugins.resolver.RepositoryResolver#getLatest(), org.apache.ivy.plugins.resolver.RepositoryResolver#setNamespace(java.lang.String), org.apache.ivy.plugins.resolver.RepositoryResolver#setCheckmodified(boolean), org.apache.ivy.plugins.resolver.RepositoryResolver#getNamespace(), org.apache.ivy.plugins.resolver.RepositoryResolver#isValidate(), org.apache.ivy.plugins.resolver.RepositoryResolver#getRepositoryCacheManager(), org.apache.ivy.plugins.resolver.RepositoryResolver#beginPublishTransaction(org.apache.ivy.core.module.id.ModuleRevisionId, boolean), org.apache.ivy.plugins.resolver.RepositoryResolver#abortPublishTransaction(), org.apache.ivy.plugins.resolver.RepositoryResolver#commitPublishTransaction(), org.apache.ivy.plugins.resolver.RepositoryResolver#setEventManager(org.apache.ivy.core.event.EventManager), org.apache.ivy.plugins.resolver.RepositoryResolver#getParserSettings(), org.apache.ivy.plugins.resolver.RepositoryResolver#hidePassword(java.lang.String), org.apache.ivy.plugins.resolver.RepositoryResolver#wait(long, int), org.apache.ivy.plugins.resolver.RepositoryResolver#wait(long), org.apache.ivy.plugins.resolver.RepositoryResolver#wait(), org.apache.ivy.plugins.resolver.RepositoryResolver#equals(java.lang.Object), org.apache.ivy.plugins.resolver.RepositoryResolver#hashCode(), org.apache.ivy.plugins.resolver.RepositoryResolver#getClass(), org.apache.ivy.plugins.resolver.RepositoryResolver#notify(), org.apache.ivy.plugins.resolver.RepositoryResolver#notifyAll()

Field Detail

### repositoryRoot

    protected java.net.URL repositoryRoot

Constructor Detail

### GrailsRepoResolver

    public GrailsRepoResolver(java.lang.String name, java.net.URL repositoryRoot)

Method Detail

### findResourceUsingPattern

    @java.lang.Override
    protected org.apache.ivy.plugins.resolver.util.ResolvedResource findResourceUsingPattern(org.apache.ivy.core.module.id.ModuleRevisionId mrid, java.lang.String pattern, org.apache.ivy.core.module.descriptor.Artifact artifact, org.apache.ivy.plugins.resolver.util.ResourceMDParser rmdparser, java.util.Date date)

### getPluginList

    @java.lang.SuppressWarnings("rawtypes")
    public groovy.util.slurpersupport.GPathResult getPluginList(java.io.File localFile)

  Obtains the XML representation of the plugin-list.xml held in a Grails compatible repository
  Parameters:
    `localFile` - The local file to save to XML too
  Returns:
    The GPathResult reperesenting the XML

### getRepositoryRoot

    public java.net.URL getRepositoryRoot()

### transformGrailsRepositoryPattern

    public java.lang.String transformGrailsRepositoryPattern(org.apache.ivy.core.module.id.ModuleRevisionId mrid, java.lang.String pattern)

Groovy Documentation